---
title: Document.alinkColor
slug: Web/API/Document/alinkColor
tags:
  - API
  - Deprecated
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}{{Deprecated_header}}</div>

<p>Returns or sets the color of an active link in the document body. A link is active during the time between <code>mousedown</code> and <code>mouseup</code> events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>color</var> = <var>document</var>.alinkColor;
<var>document</var>.alinkColor = <var>color</var>;
</pre>

<p><var>color</var> is a string containing the name of the color (e.g., <code>blue</code>, <code>darkblue</code>, etc.) or the hexadecimal value of the color (e.g., <code>#0000FF</code>)</p>

<h2 id="Notes">Notes</h2>

<p>The default value for this property in Mozilla Firefox is red (<code>#ee0000</code> in hexadecimal).</p>

<p><code>document.alinkColor</code> is deprecated in <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-26809268">DOM Level 2 HTML</a>. One alternative is the CSS selector {{Cssxref(":active")}}.</p>

<p>Another alternative is <code>document.body.aLink</code>, although this is <a class="external" href="http://www.w3.org/TR/html401/struct/global.html#adef-alink">deprecated in HTML 4.01</a> in favor of the CSS alternative.</p>

<p><a href="/en-US/docs/Mozilla/Gecko">Gecko</a> supports both <code>alinkColor</code>/<code>:active</code> and {{Cssxref(":focus")}}. Internet Explorer 6 and 7 support <code>alinkColor</code>/<code>:active</code> only for <a href="/en-US/docs/Web/HTML/Element/a">HTML anchor (&lt;a&gt;) links</a> and the behavior is the same as <code>:focus</code> under Gecko. There is no support for <code>:focus</code> in IE.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.alinkColor")}}</p>
